Subject: help

From: [email-masked] (Shude Mao)
Date: Thu, 14 Jul 94 13:46:07 CDT

Hello, everyone,

   Perhaps my situation is worse than most people on this net. My wife
came here around May 1994, and I applied CSPA at the end of June. I hold H-1
visa and my wife has H-4. If I understand correctly, my wife has not yet lost
her status although I applied. But if my application is approved, then my
wife will be out of status.

   I wonder what options I have now. I hear one option is to apply for
voluntary departure, although it does not maintain the applicant's legal
status. I would very much appreciate your response and help.

   Thank you,